<ng-container *transloco="let t; read: 'manage_organization'">
  <div class="table-container">
    <mat-card appearance="outlined">
      <span class="table-header">{{t('org_role_requests_header')}}</span>
      <table
        class="table-width"
        mat-table
        matSort
        [dataSource]="dataSource">
        <!-- checkbox name -->
        <ng-container matColumnDef="checkbox">
          <th
            mat-header-cell
            *matHeaderCellDef>
            <mat-checkbox
              (change)="$event ? toggleAllRows() : null"
              [checked]="selection.hasValue() && isAllSelected()"
              [indeterminate]="selection.hasValue() && !isAllSelected()">
            </mat-checkbox>
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            <mat-checkbox
              (click)="$event.stopPropagation()"
              (change)="$event ? selection.toggle(row) : null"
              [checked]="selection.isSelected(row)">
            </mat-checkbox>
          </td>
        </ng-container>
        <!-- username Column -->
        <ng-container matColumnDef="user_id">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('username_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            {{row.user_details.email_address}}
          </td>
        </ng-container>
        <!-- Options Button Column -->
        <ng-container matColumnDef="organization_user_role">
          <th
            mat-header-cell
            *matHeaderCellDef
            mat-sort-header>
            {{t('requested_role_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            <app-organization-user-roles-table-cell [roles]="row.requested_roles"></app-organization-user-roles-table-cell>
   
          </td>
        </ng-container>
        <!-- Options Button Column -->
        <ng-container matColumnDef="actions">
          <th
            mat-header-cell
            *matHeaderCellDef
            class="table-column-header-align-end">
            {{t('actions_th')}}
          </th>
          <td
            mat-cell
            *matCellDef="let row">
            <span *ngIf="roleRequests && roleRequests.length > 0">
              <button
                mat-mini-fab
                color="primary"
                class="no-shadow-mini-fab micro-fab micro-fab-action-button-margin"
                [matTooltip]="t('accept_request')"
                (click)="acceptRequest.emit({id:row.organization_user_role_request_id})">
                <mat-icon>done</mat-icon>
              </button>
              <button
                mat-mini-fab
                color="warn"
                class="no-shadow-mini-fab micro-fab micro-fab-action-button-margin"
                [matTooltip]="t('reject_request')"
                (click)="rejectRequest.emit({id:row.organization_user_role_request_id})">
                <mat-icon>close</mat-icon>
              </button>
            </span>
          </td>
        </ng-container>
        <tbody>
          <tr
            mat-header-row
            *matHeaderRowDef="displayedColumns"></tr>
          <tr
            mat-row
            *matRowDef="let row; columns: displayedColumns;"></tr>
          <!-- Row shown when there is no matching data. -->
          <tr
            class="mat-row  no-data-table-row"
            *matNoDataRow>
            <td
              class="mat-cell"
              colspan="3">
              {{'general.no_data'|transloco}}
            </td>
          </tr>
        </tbody>
      </table>
    </mat-card>
  </div>
</ng-container>
